Vulnerability   
Search   
    Search 187964 CVE descriptions
and 85075 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.143812
Category:Web application abuses
Title:jQuery 1.2 < 3.5.0 XSS Vulnerability
Summary:jQuery is prone to a cross-site scripting vulnerability in jQuery.htmlPrefilter; and related methods.
Description:Summary:
jQuery is prone to a cross-site scripting vulnerability in jQuery.htmlPrefilter
and related methods.

Vulnerability Insight:
Passing HTML from untrusted sources - even after sanitizing it - to one of
jQuery's DOM manipulation methods (i.e. .html(), .append(), and others) may execute untrusted code.

Affected Software/OS:
jQuery versions 1.2 and prior to version 3.5.0.

Solution:
Update to version 3.5.0 or later.

CVSS Score:
4.3

CVSS Vector:
AV:N/AC:M/Au:N/C:N/I:P/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-11022
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 85075 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.